<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>ConfigurationProperties (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationProperties (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":9,"i19":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/openbravo/test/integration/util/OBDate.html" title="class in com.openbravo.test.integration.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/openbravo/test/integration/util/ConfigurationProperties.html" target="_top">Frames</a></li>
<li><a href="ConfigurationProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.util</div>
<h2 title="Enum ConfigurationProperties" class="title">Enum ConfigurationProperties</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.util.ConfigurationProperties</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public enum <span class="typeNameLabel">ConfigurationProperties</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>&gt;</pre>
<div class="block">Helper enum singleton to handle configuration properties.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#INSTANCE">INSTANCE</a></span></code>
<div class="block">The singleton instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getBrowser--">getBrowser</a></span>()</code>
<div class="block">Get the browser that will be used to execute the test.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getBrowserPath--">getBrowserPath</a></span>()</code>
<div class="block">Get the path to the browser binary.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getClientAdministratorPassword--">getClientAdministratorPassword</a></span>()</code>
<div class="block">Get the password of the client administrator.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getClientAdministratorUser--">getClientAdministratorUser</a></span>()</code>
<div class="block">Get the user name of the client administrator.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getDateFormat--">getDateFormat</a></span>()</code>
<div class="block">Get the date format setting</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getDecimalSeparator--">getDecimalSeparator</a></span>()</code>
<div class="block">Get the decimal separator character.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getGroupingSeparator--">getGroupingSeparator</a></span>()</code>
<div class="block">Get the grouping separator character.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getInterfaceType--">getInterfaceType</a></span>()</code>
<div class="block">Get the interface type.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getNumberOutputFormat--">getNumberOutputFormat</a></span>()</code>
<div class="block">Get the output format for numbers.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getOpenbravoBaseURL--">getOpenbravoBaseURL</a></span>()</code>
<div class="block">Get the base URL of the Openbravo server.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getOpenbravoContext--">getOpenbravoContext</a></span>()</code>
<div class="block">Get the name of the Openbravo context.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getPassword--">getPassword</a></span>()</code>
<div class="block">Get the password of the client user.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getSeleniumPort--">getSeleniumPort</a></span>()</code>
<div class="block">Get the selenium port.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getSeleniumSpeed--">getSeleniumSpeed</a></span>()</code>
<div class="block">Get the selenium speed.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getSystemAdministratorPassword--">getSystemAdministratorPassword</a></span>()</code>
<div class="block">Get the password of the system administrator.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getSystemAdministratorUser--">getSystemAdministratorUser</a></span>()</code>
<div class="block">Get the user name of the system administrator.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getUserName--">getUserName</a></span>()</code>
<div class="block">Get the user name of the client user.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#getVideoRecord--">getVideoRecord</a></span>()</code>
<div class="block">Get the video record setting.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="INSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INSTANCE</h4>
<pre>public static final&nbsp;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a> INSTANCE</pre>
<div class="block">The singleton instance.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (ConfigurationProperties c : ConfigurationProperties.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../../com/openbravo/test/integration/util/ConfigurationProperties.html" title="enum in com.openbravo.test.integration.util">ConfigurationProperties</a>&nbsp;valueOf(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getSeleniumPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSeleniumPort</h4>
<pre>public&nbsp;int&nbsp;getSeleniumPort()</pre>
<div class="block">Get the selenium port.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selenium port.</dd>
</dl>
</li>
</ul>
<a name="getSeleniumSpeed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSeleniumSpeed</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSeleniumSpeed()</pre>
<div class="block">Get the selenium speed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the selenium speed.</dd>
</dl>
</li>
</ul>
<a name="getBrowser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBrowser</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBrowser()</pre>
<div class="block">Get the browser that will be used to execute the test.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the browser that will be used to execute the test.</dd>
</dl>
</li>
</ul>
<a name="getBrowserPath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBrowserPath</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBrowserPath()</pre>
<div class="block">Get the path to the browser binary.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the path to the browser binary.</dd>
</dl>
</li>
</ul>
<a name="getOpenbravoBaseURL--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpenbravoBaseURL</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOpenbravoBaseURL()</pre>
<div class="block">Get the base URL of the Openbravo server.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the base URL of the Openbravo server.</dd>
</dl>
</li>
</ul>
<a name="getOpenbravoContext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpenbravoContext</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOpenbravoContext()</pre>
<div class="block">Get the name of the Openbravo context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the Openbravo context.</dd>
</dl>
</li>
</ul>
<a name="getSystemAdministratorUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemAdministratorUser</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemAdministratorUser()</pre>
<div class="block">Get the user name of the system administrator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user name of the system administrator</dd>
</dl>
</li>
</ul>
<a name="getSystemAdministratorPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSystemAdministratorPassword</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSystemAdministratorPassword()</pre>
<div class="block">Get the password of the system administrator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password of the system administrator.</dd>
</dl>
</li>
</ul>
<a name="getClientAdministratorUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientAdministratorUser</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClientAdministratorUser()</pre>
<div class="block">Get the user name of the client administrator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user name of the client administrator.</dd>
</dl>
</li>
</ul>
<a name="getClientAdministratorPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClientAdministratorPassword</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClientAdministratorPassword()</pre>
<div class="block">Get the password of the client administrator.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password of the client administrator.</dd>
</dl>
</li>
</ul>
<a name="getUserName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserName()</pre>
<div class="block">Get the user name of the client user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user name of the client user.</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block">Get the password of the client user.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password of the client user.</dd>
</dl>
</li>
</ul>
<a name="getNumberOutputFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNumberOutputFormat</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getNumberOutputFormat()</pre>
<div class="block">Get the output format for numbers.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the output format for numbers.</dd>
</dl>
</li>
</ul>
<a name="getDecimalSeparator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDecimalSeparator</h4>
<pre>public&nbsp;char&nbsp;getDecimalSeparator()</pre>
<div class="block">Get the decimal separator character.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the decimal separator character.</dd>
</dl>
</li>
</ul>
<a name="getGroupingSeparator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupingSeparator</h4>
<pre>public&nbsp;char&nbsp;getGroupingSeparator()</pre>
<div class="block">Get the grouping separator character.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the grouping separator character.</dd>
</dl>
</li>
</ul>
<a name="getDateFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateFormat</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDateFormat()</pre>
<div class="block">Get the date format setting</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dateFormat</dd>
</dl>
</li>
</ul>
<a name="getInterfaceType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterfaceType</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getInterfaceType()</pre>
<div class="block">Get the interface type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the interface type.</dd>
</dl>
</li>
</ul>
<a name="getVideoRecord--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getVideoRecord</h4>
<pre>public&nbsp;char&nbsp;getVideoRecord()</pre>
<div class="block">Get the video record setting.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the video record setting.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/openbravo/test/integration/util/OBDate.html" title="class in com.openbravo.test.integration.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/openbravo/test/integration/util/ConfigurationProperties.html" target="_top">Frames</a></li>
<li><a href="ConfigurationProperties.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
